Delete a RICAL signer
Deletes a RICAL signer.
Deleting a RICAL signer does not affect any RICALs it has already signed — those remain valid. It only means this signer can no longer be used to sign new RICALs.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>ricalSignerId*stringUnique identifier of the RICAL signer.
uuidRICAL signer deleted
curl -X DELETE "https://example.com/v1/ecosystems/certificates/rical-signers/123e4567-e89b-12d3-a456-426614174000"How would you rate this page?
Update a RICAL signer PUT
Updates a RICAL signer by: - Providing a RICAL Signer Certificate in PEM format that matches its Certificate Signing Request (CSR). - Activating or deactivating the RICAL signer. Only RICAL signers with a valid `certificatePem` can be activated. - The `certificatePem` field becomes immutable after it's updated for the first time. <Callout> Only available in implementations using unmanaged (external) DTS root CA certificates. </Callout>
Create ecosystem POST
Creates an ecosystem.